<template>
  <q-container>
    <div class="row">
      <div class="col" v-if="!$q.screen.lt.sm">
        <q-img
          src="~assets/background/auth_register.png"
          alt="Guest image Placeholder"
          width="50vw"
          height="100vh"
        />
      </div>
      <div class="col" :class="{ 'mobile-right-content': $q.screen.lt.sm }">
        <q-layout :class="{ 'mobile-right-layout': $q.screen.lt.sm }">
          <q-header
            class="q-mt-md q-mx-sm bg-transparent"
            v-if="!$q.screen.lt.sm"
          >
            <q-toolbar>
              <q-toolbar-title class="text-left text-grey-7"> </q-toolbar-title>

              <q-btn
                unelevated
                label="LOG IN"
                type="submit"
                class="btn-lg btn--shade-1 text-white"
                @click="$router.push('login')"
              />
            </q-toolbar>
          </q-header>

          <q-page-container>
            <q-page
              :style-fn="setPageHeight"
              class="flex justify-center items-center"
            >
              <div class="center-content column flex items-center q-pa-lg">
                <div class="q-my-lg">
                  <img
                    alt="Vigan City Logo"
                    src="~assets/logo.svg"
                    width="100"
                    height="100"
                  />
                </div>
                <p class="title-headline">Welcome to Vigan City's</p>
                <p class="title-1">Job Matching Portal</p>

                <slot />
              </div>
            </q-page>
          </q-page-container>

          <footer-layout />
        </q-layout>
      </div>
    </div>
  </q-container>
</template>

<script>
import { defineComponent } from "vue";
import FooterLayout from "./sections/FooterLayout.vue";

export default defineComponent({
  components: { FooterLayout },
  name: "AuthLayout2",
  setup() {
    const setPageHeight = (offset) => {
      // "offset" is a Number (pixels) that refers to the total
      // height of header + footer that occupies on screen,
      // based on the QLayout "view" prop configuration

      // this is actually what the default style-fn does in Quasar
      return { minHeight: offset ? `calc(100vh - ${offset}px)` : "100vh" };
    };
    return {
      setPageHeight,
    };
  },
});
</script>

<style lang="scss" scoped>
.mobile-right-content {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("~assets/background/auth_register.png");
    background-position: center;
    // filter: grayscale(100%) blur(2px);
    z-index: 2;
  }

  .mobile-right-layout {
    // background: rgba(255, 255, 255, 0.8);
    z-index: 3;
  }
}

.center-content {
  background: #fff;
  border-radius: 15px;
}

.q-layout__section--marginal {
  background-color: transparent !important;
  color: #fff;
}
.q-footer {
  position: absolute !important;
}

p {
  margin: 0 0 12px !important;
}
</style>
